Page MenuHomeFreeBSD

Split out "Make" changes from D4325 (python.mk mods)
ClosedPublic

Authored by marino on Dec 20 2015, 10:09 AM.

Details

Reviewers
mva
dbn
antoine
wg
Group Reviewers
portmgr
Summary

mva@ requested D4325 be split into two sections

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1859
Build 1866: arc lint + arc unit

Event Timeline

marino updated this revision to Diff 11496.Dec 20 2015, 10:09 AM
marino retitled this revision from to Split out "Make" changes from D4325 (python.mk mods).
marino updated this object.
marino edited the test plan for this revision. (Show Details)
marino added reviewers: wg, antoine, mva, dbn.

hi mva@, so how does this split change look?

Ping.

I think one of the python makefile is already out of date. Assume that I will fix it before commit.

This diff is very trivial. there's nothing technically wrong with it. This is more of a philosophical review (e.g. it's okay to have version separate from main makefile.)

I know it's holiday period, but it's been a month that I started trying to push reform to python.mk. This is just one part. Hopefully somebody is available to help it along.

antoine edited edge metadata.Dec 27 2015, 4:46 PM

I will test this a bit.

Mk/Uses/python.mk
390

Stray ; ?

Except for the stray ";" and the versions that need to be updated, this looks good to me.

mva edited edge metadata.Dec 29 2015, 7:50 AM

Looks good to me. Let's just get the outdated file into shape, do an exp-run and commit it.

Cheers
Marcus

marino updated this revision to Diff 11754.Dec 29 2015, 8:36 AM
marino edited edge metadata.

Resolved conflicts with current tree (removed bitrot and semicolon)

Okay, thanks! The diff has been updated, so it's current as of right now.

Mk/Uses/python.mk
390

yeah. Maybe a carry-over from all the Ada code I've been writing lately. I'll remove it in final.

This revision is now accepted and ready to land.Dec 29 2015, 9:51 AM
marino closed this revision.Dec 29 2015, 12:09 PM

Thanks, I've committed it. I don't know why the review didn't close automatically though.

For forward work, I'll submit a new review that skips spawning python when it's already known that python is not installed. If it is installed, it will still spawn python as it does now (in other words, nothing is cached by the meta port, it's just another removal of an inefficiency)

mat added a subscriber: mat.Dec 29 2015, 12:35 PM

Thanks, I've committed it. I don't know why the review didn't close automatically though.

Easy, the Differential Revision line was not the last line of the commit message, you must have reordered the commit template.